<?php
//=================================================================
// KOOBI R7 - CMS - PORTALSOFTWARE(c) DREAM4(r) 
// HTTP://WWW.DREAM4.DE
//=================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//=================================================================
if(!defined('BASE_DIR')) exit;
if(!get_active('forums'))
{
	notActive();
}

$forum = $GLOBALS['db']->RowQuery("
	SELECT
	f.id,
	p.uid
	FROM
		" . PREFIX . "_f_forum AS f,
		" . PREFIX . "_f_topic AS t,
		" . PREFIX . "_f_post AS p
	WHERE
	t.id = '" . $_REQUEST['toid'] . "' AND
	t.forum_id = f.id AND
	p.id = '" . $_REQUEST['pid'] . "'");

$permissions = getForumPermissionsByUser($forum->id, UID);

//=================================================================
// Wenn User andere Beitraege nicht loeschen kann und kein Admin ist
//=================================================================
if( (@$permissions[FORUM_PERMISSION_CAN_DELETE_OTHER_POST] == 0) && (UGROUP != 1) ) 
{
	// Eigener beitrag
	if ($forum->uid == UID)
	{
		if (ISLOGGED == 0 || @$permissions[FORUM_PERMISSION_CAN_DELETE_OWN_POST] == 0)
		{
			// User nicht eingeloggt
			koobi_message('Global_NoPermission', 'Global_NoPermission_t', HOME_PATH . '/index.php?p=showtopic&amp;toid=' . $_REQUEST['toid']);
		}
		// Fremder eintrag
	}
	
	if ( ($forum->uid != UID) && (UGROUP != 1) ) koobi_message('Global_NoPermission','Forums_PermissionDenied',HOME_PATH . '/index.php?p=showtopic&amp;toid=' . $_REQUEST['toid']);
	if ($_REQUEST["pid"] == "") koobi_message('Forums_Title','Forums_PermissionDenied',HOME_PATH . '/index.php?p=showforums&amp;area=' . AREA);
}


$GLOBALS['db']->Query("DELETE FROM " . PREFIX . "_f_post WHERE id = '" . $_REQUEST['pid'] . "'");
$GLOBALS['db']->Query("UPDATE " . PREFIX . "_f_topic SET replies = replies - 1 WHERE id = '" . $_REQUEST['toid'] . "'");

//=================================================================
// Letzten Beitrag setzen
//=================================================================
Koobi_Board_SetLastPost($forum->id);

$topic = $GLOBALS['db']->RowQuery("SELECT replies FROM " . PREFIX . "_f_topic WHERE id = '" . $_REQUEST['toid'] . "'");
if ($topic->replies == 0)
{
	deleteTopic($_REQUEST['toid']);
	refer("index.php?p=showforum&fid=$forum->id");
	exit;
} else {	
	refer("index.php?p=showtopic&toid=" . $_REQUEST['toid']);
	exit;
}
?>